<?php
// ------------------------------------------------------------------------- //
// <G a n e s h a> - Free Web Based Training System                          //
// ------------------------------------------------------------------------- //
// <G a n e s h a> - Plate-forme de téléformation gratuite et en open source //
// ------------------------------------------------------------------------- //
// Copyright (C) 2001-2003  Anéma Formation  <http://www.anema.fr/>          //
// ------------------------------------------------------------------------- //
//            Developer : Georges CALDEIRA <gcaldeira@anemalab.org>          //
// ------------------------------------------------------------------------- //
//               Infos on project <http://anemalab.org/>                     //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
// ------------------------------------------------------------------------- //

/**
* Mail to admin form
*
* @author	Georges Caldeira <gcaldeira@anemalab.org>
* @package	GaneshaCommun
*/
	/**
	* include des fichiers + verification de la cnx
	*/
	include_once("anema.inc.php");

	$nom			= $HTTP_POST_VARS['nom']		;
	$prenom			= $HTTP_POST_VARS['prenom']		;
	$email			= $HTTP_POST_VARS['email']		;
	$subject		= $HTTP_POST_VARS['subject']	;

//debug($HTTP_POST_FILES);

if ( $ClsMembre->GetTypeMembre($guserid) == 0 ) {
	PageMessageErreur($tu_texte['tutmail']) ;
}

if ( $ClsMembre->getMelAdmin() == '' ) {
	PageMessageErreur($tu_texte['erroramail']) ;
}

$ClsMail->SetSubject(MAIL_ADMIN,$subject);
$ClsMail->SetBody(MAIL_ADMIN,$prenom." ".$nom,$email,Replace($message),"") ;

$new_name	= ""	;
$error_copy = false	;

if ( isset($HTTP_POST_FILES['fichier']['name'])	   && 
     strlen($HTTP_POST_FILES['fichier']['name'])>0 && 
	 $HTTP_POST_FILES['fichier']['name']!="none"   &&
	 $HTTP_POST_FILES['fichier']['tmp_name']!=""   &&
	 $HTTP_POST_FILES['fichier']['error']==0 
   ) {
	$login = $ClsMembre->GetLogin($guserid);
	$server_fichier = MakeFileName($login,$HTTP_POST_FILES['fichier']['name'])		;
	if ( $new_name = copier_fichier($HTTP_POST_FILES['fichier'],RP_UPLOAD_TUTEUR.$server_fichier) ) {
		$copy_ok  = true ;
	} else {
		$error_copy = true ;
	}
}

if ( $error_copy  ) {
	PageMessageErreur($tu_texte['errorenv']) ;
}

$main_email = $ClsMembre->getMelAdmin();
if (! $ClsMail->Send($main_email) ) {
	if ( $copy_ok ) {
		DeleteDocument(RP_UPLOAD_TUTEUR.$new_name) ;
	}
	PageMessageErreur($tu_texte['errorenv']) ;
}

if ( $new_name != "" ) {
	$ClsMail->AddToBody(HTTP_UPLOAD_TUTEUR.$new_name);
}

if ( isset($HTTP_POST_FILES['fichier']['name'])    && 
     strlen($HTTP_POST_FILES['fichier']['name'])>0 && 
	 $HTTP_POST_FILES['fichier']['name']!="none"   &&
	 $HTTP_POST_FILES['fichier']['tmp_name']!=""   &&
	 $HTTP_POST_FILES['fichier']['error']==0 
   ) {
	PageMessageErreur($tu_texte['merciqf']);
} else {
	if ( $HTTP_POST_FILES['fichier']['error']!=0 ) {
		PageMessageErreur($tu_texte['merciqsf']);
	} else {
		PageMessageErreur($tu_texte['merciq']);
	}
}

?>